﻿<UserControl x:Class="Renovate.Assets.UI.UserControls.TitleBarUserControl"
             xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
             xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
             xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006" 
             xmlns:d="http://schemas.microsoft.com/expression/blend/2008" 
             xmlns:local="clr-namespace:Renovate.Assets.UI"
             mc:Ignorable="d" x:Name="owner"
             d:DesignHeight="40" d:DesignWidth="800">
    <Grid Background="#FFDDE1E3">
        <Grid.ColumnDefinitions>
            <ColumnDefinition Width="auto"/>
            <ColumnDefinition Width="*"/>
            <ColumnDefinition Width="50"/>
            <ColumnDefinition Width="50"/>
            <ColumnDefinition Width="50"/>
            <ColumnDefinition Width="50"/>
        </Grid.ColumnDefinitions>
        <TextBlock Text="Renovate5" FontFamily="Source Code Pro" VerticalAlignment="Center" Margin="8,0"/>
        <Button Name="searchButton" Style="{DynamicResource TitleBarButtonStyle}" Grid.Column="2" Visibility="{Binding IsDialog, ElementName= owner, Converter={StaticResource boolToVisibilityConverter}, ConverterParameter='False'}">
            <Image Source="/Renovate;component/Resources/Images/CommonIcons/search.png" Width="16" Height="16" RenderOptions.BitmapScalingMode="HighQuality"/>
        </Button>
        <Button Name="menuButton" Style="{DynamicResource TitleBarButtonStyle}" Grid.Column="3" Visibility="{Binding IsDialog, ElementName= owner, Converter={StaticResource boolToVisibilityConverter}, ConverterParameter='False'}">
            <Image Source="/Renovate;component/Resources/Images/CommonIcons/menu.png" Width="16" Height="16" RenderOptions.BitmapScalingMode="HighQuality"/>
        </Button>
        <Button Name="minimizeButton" Style="{DynamicResource TitleBarButtonStyle}" Grid.Column="4" Visibility="{Binding IsDialog, ElementName= owner, Converter={StaticResource boolToVisibilityConverter}, ConverterParameter='False'}">
            <Image Source="/Renovate;component/Resources/Images/CommonIcons/minimize.png" Width="14" Height="14" RenderOptions.BitmapScalingMode="HighQuality"/>
        </Button>
        <Button Name="closeButton" Style="{DynamicResource TitleBarButtonStyle}" Grid.Column="5">
            <Image Source="/Renovate;component/Resources/Images/CommonIcons/close.png" Width="12" Height="12" RenderOptions.BitmapScalingMode="HighQuality"/>
        </Button>
    </Grid>
</UserControl>
